Graphics Processing Unit cards

List GPUs

get

List the server's Graphics Processing Unit (GPU) cards

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstring · uuidRequired

The unique ID of the data center.

serverIdstring · uuidRequired

The unique ID of the server.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
chevron-right
200

Successful operation

application/json
get
/datacenters/{datacenterId}/servers/{serverId}/gpus

Retrieve GPUs by ID

get

Retrieves a server's Graphics Processing Unit (GPU) card based on the given id.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstring · uuidRequired

The unique ID of the data center.

serverIdstring · uuidRequired

The unique ID of the server.

gpuIdstring · uuidRequired

The unique ID of the Graphics Processing Unit (GPU) card.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
chevron-right
200

Successful operation

application/json
get
/datacenters/{datacenterId}/servers/{serverId}/gpus/{gpuId}

Last updated

Was this helpful?